#ifndef DISPLAYMGR_H
#define DISPLAYMGR_H

#include <tqstring.h>

class TQWidget;

class DisplayMgr {
public:
    virtual ~DisplayMgr() {};

    virtual void newTopLevel(TQWidget *, bool show = false) = 0;

    virtual void removeTopLevel(TQWidget *) = 0;

    virtual void show(TQWidget *) = 0;

    virtual void hide(TQWidget *) = 0;

    virtual void raise(TQWidget *, bool takefocus = false) = 0;

    virtual void setCaption(TQWidget *, const TQString&) = 0;

};


#endif

